'use strict';

const debuglog = __debug.bind(null, __filename);

const _ = require('lodash');

const appClassifier = require('../utils/app-classifier');
const fileUtil = require('../utils/file-util');

module.exports = {
  run: function(validationType) {
    const appType = appClassifier();
    const validationPath = __dirname + '/../validations/';
    const validationFiles = fileUtil.readDir(validationPath);
    const errMessage = [];

    validationFiles.forEach(file => {
      const validator = require(validationPath + file);

      if (_.includes(validator.validationType, validationType)) {
        debuglog(`Running ${file}`);

        errMessage.push(validator.validate(appType));
      }
    });

    return _.compact(_.flattenDeep(errMessage));
  }
};
