'use strict';

const _ = require('lodash');
const os = require('os');

const DataStore = require('./data-store');

const dbApi = new DataStore({
  location: `${os.homedir()}/.fdk/`
});
const addonVersion = dbApi.fetch('version_details').addon.version;

const events = require(`${os.homedir()}/.fdk/addon/addon-${addonVersion}/events/events.json`);

function eventsList(product) {
  return events[product].concat(_.flatten(_.values(events.common_events)));
}

function isValidEvent(product, eventName) {
  return _.includes(eventsList(product), eventName);
}

module.exports = {
  eventsList,
  isValidEvent
};
