'use strict';

module.exports = {
  enableCORS(res) {
    res.setHeader('Access-Control-Allow-Origin', '*');
    res.setHeader('Access-Control-Allow-Methods', 'POST, GET, PUT, UPDATE, DELETE, OPTIONS');
    res.setHeader('Access-Control-Allow-Headers', '*');
  },

  status: {
    // 2xx
    ok: 200,
    created: 201,

    // 3xx
    found: 302,

    // 4xx
    bad_request: 400,
    unauthorized: 401,
    not_found: 404,
    unsupported_media: 415,
    unprocessable_entity: 422,

    //5xx
    internal_server_error: 500,
    bad_gateway: 502,
    gateway_timeout: 504
  }
};
