'use strict';

const os = require('os');
const DataStore = require('./data-store');

const dbApi = new DataStore({
  location: `${os.homedir()}/.fdk/`
});
const addonVersion = dbApi.fetch('version_details').addon.version;
const fdkconfig = require(`${os.homedir()}/.fdk/addon/addon-${addonVersion}/product_info.json`);

function getProductDoc() {
  return fdkconfig.doc_urls;
}

function getTestLink() {
  return fdkconfig.test_urls;
}

function getAddonVersion() {
  return addonVersion;
}

function getProductList() {
  return fdkconfig.products;
}

function getDeployLink() {
  return fdkconfig.deploy_urls;
}

module.exports = {
  getProductDoc,
  getTestLink,
  getDeployLink,
  getProductList,
  getAddonVersion
};